Subject: bash on NT 4.0 (was forkee heap_init)
From: [email-masked] (Jeff Oh)

25 Apr 1997 18:47:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24 ME8b]
Original-Sender: [email-masked]

Despite several good suggestions from this list, I have not been able
to determine why bash is generating the forkee heap_init error 487
(this actually happens in the cygwin.dll code, when the child process
uses virtual_alloc() to try and reserve a memory block at the same
base address as it's parent.)  Unfortunately, I can't compile debug
versions of the shell or cygwin.dll, since I need to run configure
to do so, and I need a working shell to run configure, and bash
isn't working, and.....

So, as no one else on the list seems to be having this problem, and
I get this problem on two separate NT 4.0 systems that I've tried,
but on WIN95, is anyone else running bash successfully on a NT 4.0
system of any flavour (but especially build 1381, service pack 2)?

Alternatively, while I would prefer to use bash, assuming that I cannot 
make bash work, has anyone on the list looked at or evaluated other 
sh or ksh variants for NT.

Thanks,

Jeff 8-)

-- 
Jeff Oh, Zadall Systems Group.  [email-masked]    8-) 

"Programming today is a race between software engineers striving to build 
bigger and better idiot-proof programs, and the Universe trying to produce 
bigger and better idiots. So far, the Universe is winning." -- Rich Cook
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".